package org.greenstone.android.tipple.base;

import android.content.Context;
import android.content.Intent;
import android.view.Display;
import android.view.View;
import android.view.ViewGroup;
import android.widget.Button;
import android.widget.LinearLayout;

public class ARLauncherView extends LinearLayout {
	protected Button ar_mode_button_;
	//private ArDirection direction;***

	public ARLauncherView(final Context context) {
		super(context);

		LayoutParams layout_params = new LinearLayout.LayoutParams(ViewGroup.LayoutParams.WRAP_CONTENT, ViewGroup.LayoutParams.MATCH_PARENT, 1);
		//direction = new ArDirection(context, layout_params);**********>
		
		ar_mode_button_ = new Button(context);
		ar_mode_button_.setLayoutParams(layout_params);
		ar_mode_button_.setText("AR Mode");
		ar_mode_button_.setEnabled(true);

		ar_mode_button_.setOnClickListener(new View.OnClickListener() {
			public void onClick(View v) {
				context.startActivity(new Intent(context, ARActivity.class));
			}
		});

		addView(ar_mode_button_);
	}
}